Mixedbread

Delete Store File

Delete a file from a store.

DELETE
/v1/stores/{store_identifier}/files/{file_identifier}

Authorization

ApiKeyAuth
headerAuthorizationBearer <token>

Api key to access Mixedbreads API

Path Parameters

store_identifier*|

The ID or name of the store

file_identifier*|

The ID or name of the file to delete

Response Body

The deleted store file details

application/json
  1. response

Response model for file deletion.

id*Id

ID of the deleted file

deleted?Deleted

Whether the deletion was successful

Defaulttrue
object?Object

Type of the deleted object

Default"store.file"
from mixedbread import Mixedbreadmxbai = Mixedbread(api_key="YOUR_API_KEY")response = mxbai.stores.files.delete(    store_identifier="my-knowledge-base",    file_identifier="f47ac10b-58cc-4372-a567-0e02b2c3d479",)print(response)
{  "id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",  "object": "store.file",  "deleted": true}